/*修复应用栏中最前最后的位置，使用包裹的组件边距不正确*/
.m-application--is-ltr .m-toolbar__content > .m-btn.m-btn--icon:first-of-type:nth-child(2), .m-application--is-ltr .m-toolbar__extension > .m-btn.m-btn--icon:first-of-type:nth-child(2) {
    margin-left: -12px;
}

.m-application--is-rtl .m-toolbar__content > .m-btn.m-btn--icon:first-of-type:nth-child(2), .m-application--is-rtl .m-toolbar__extension > .m-btn.m-btn--icon:first-of-type:nth-child(2) {
    margin-right: -12px;
}

.m-application--is-ltr .m-toolbar__content > .m-btn.m-btn--icon:last-of-type:nth-last-child(2), .m-application--is-ltr .m-toolbar__extension > .m-btn.m-btn--icon:last-of-type:nth-last-child(2) {
    margin-right: -12px;
}

.m-application--is-rtl .m-toolbar__content > .m-btn.m-btn--icon:last-of-type:nth-last-child(2), .m-application--is-rtl .m-toolbar__extension > .m-btn.m-btn--icon:last-of-type:nth-last-child(2) {
    margin-left: -12px;
}

.m-application--is-ltr .m-toolbar__content > .m-btn.m-btn--icon:first-child:last-of-type:nth-last-child(2), .m-application--is-ltr .m-toolbar__extension > .m-btn.m-btn--icon:first-of-type:last-of-type:nth-last-child(2) {
    margin-left: -12px;
    margin-right: 0px;
}

.m-application--is-rtl .m-toolbar__content > .m-btn.m-btn--icon:first-child:last-of-type:nth-last-child(2), .m-application--is-rtl .m-toolbar__extension > .m-btn.m-btn--icon:first-child:last-of-type:nth-last-child(2) {
    margin-left: 0px;
    margin-right: -12px;
}

.m-application--is-ltr .m-toolbar__content > .m-btn.m-btn--icon:last-child:first-of-type:nth-child(2), .m-application--is-ltr .m-toolbar__extension > .m-btn.m-btn--icon:last-child:first-of-type:nth-child(2) {
    margin-left: 0px;
    margin-right: -12px;
}

.m-application--is-rtl .m-toolbar__content > .m-btn.m-btn--icon:last-child:first-of-type:nth-child(2), .m-application--is-rtl .m-toolbar__extension > .m-btn.m-btn--icon:last-child:first-of-type:nth-child(2) {
    margin-left: -12px;
    margin-right: 0px;
}

.m-application--is-ltr .m-toolbar__content > .m-btn.m-btn--icon:first-of-type:nth-child(2):last-of-type:nth-last-child(2), .m-application--is-ltr .m-toolbar__extension > .m-btn.m-btn--icon:first-of-type:nth-child(2):last-of-type:nth-last-child(2) {
    margin-left: -12px;
    margin-right: 0px;
}

.m-application--is-rtl .m-toolbar__content > .m-btn.m-btn--icon:first-of-type:nth-child(2):last-of-type:nth-last-child(2), .m-application--is-rtl .m-toolbar__extension > .m-btn.m-btn--icon:first-of-type:nth-child(2):last-of-type:nth-last-child(2) {
    margin-left: 0px;
    margin-right: -12px;
}

/*更改点击涟漪效果*/
.m-ripple__animation--in {
    transition-duration: .1s !important;
}

.m-ripple__animation--out {
    transition-duration: .15s !important;
}

/*优化消息提示*/
.m-alert__title {
    font-size: 1rem !important;
    font-weight: 700 !important;
}

/*解决移动端悬停问题*/
@media (hover: none) {
    :root {
        --m-hover-opacity: 0 !important;
    }

    .theme--light {
        --m-hover-opacity: 0 !important;
    }

    .theme--dark {
        --m-hover-opacity: 0 !important;
    }

    .m-btn:hover::before {
        opacity: 0;
    }

    .m-btn:focus-visible::before {
        opacity: 0;
    }

    .m-btn.m-btn--active::before, .m-btn.m-btn--active:hover::before {
        opacity: 0;
    }

    .m-btn.m-btn--active:focus-visible::before {
        opacity: 0;
    }

    .m-input--selection-controls__input:hover:before {
        opacity: 0;
    }
}

/*配色*/

.m-picker__body {
    background: initial;
}

.p-mobile-date-picker__content {
    border-radius: 8px 8px 0 0 !important;
}

    .p-mobile-date-picker__content .m-sheet:first-child {
        border-radius: 8px 8px 0 0 !important;
        padding: 16px;
    }

.m-overlay {
    color: #fff;
}

.m-overlay__scrim {
    background-color: #000 !important;
    border-color: #000 !important;
}

.m-toolbar.m-sheet {
    background-color: var(--m-theme-surface);
}

/*自适应圆角*/
@media screen and (min-width:600px) {
    .m-application .rounded-b-sm-lg {
        border-bottom-left-radius: 8px !important;
        border-bottom-right-radius: 8px !important;
    }
}

/*日历高度*/
.m-date-picker-table {
    height: 249px;
}

/*日历提示圆点位置*/
.m-date-picker-table--date .m-date-picker-table__events {
    bottom: 4px;
}

/*自适应海拔*/
@media screen and (min-width:600px) {
    .m-application .elevation-sm-2--active:hover {
        box-shadow: 0 3px 1px -2px rgba(0,0,0,.2), 0 2px 2px 0 rgba(0,0,0,.14), 0 1px 5px 0 rgba(0,0,0,.12) !important
    }
}

/*临时解决MTabs闪烁问题*/
.m-tabs-bar > .m-slide-group__wrapper {
    flex: unset !important;
}

.m-dialog .m-date-picker-table {
    height: auto !important;
    padding-bottom: 12px;
}

.p-page-container {
    height: 100%;
}

.p-page-container__item {
    height: 100%;
    display: flex;
    flex-direction: column;
}

    .p-page-container__item > * {
        flex-grow: 0 !important;
    }

.m-chip--clickable:active {
    box-shadow: unset;
}

.m-input--radio-group--row .m-input--radio-group__input {
    justify-content: space-between;
}

    .m-input--radio-group--row .m-input--radio-group__input > * {
        flex-grow: 1;
    }

.m-text-field .m-input__append-inner {
    margin-top: auto !important;
    margin-bottom: auto !important;
}

.m-btn--plain:not(.m-btn--active):not(.m-btn--loading):not(:focus):not(:hover) .m-btn__content {
    opacity: unset;
}

.m-text-field--rounded > .m-input__control > .m-input__slot {
    padding: 0 16px;
}

.m-chip-group .m-slide-group__prev--disabled,
.m-chip-group .m-slide-group__next--disabled {
    display: none;
}

@media (hover: none) {
    .m-chip-group .m-slide-group__prev, .m-chip-group .m-slide-group__next {
        display: none;
    }
}

.m-chip-group .m-slide-group__next, .m-chip-group .m-slide-group__prev {
    flex-basis: initial;
    min-width: initial;
}

.m-chip-group .m-slide-group__wrapper {
    overflow-x: auto;
    overflow-y: hidden;
    -ms-overflow-style: none;
    scrollbar-width: none;
}

    .m-chip-group .m-slide-group__wrapper::-webkit-scrollbar {
        display: none;
    }

.m-item-group.m-bottom-navigation .m-btn {
    min-width: 50px;
}
